summaryrefslogtreecommitdiffstats
path: root/ci/build_rpm/build_rpms.sh
diff options
context:
space:
mode:
Diffstat (limited to 'ci/build_rpm/build_rpms.sh')
-rw-r--r--ci/build_rpm/build_rpms.sh19
1 files changed, 19 insertions, 0 deletions
diff --git a/ci/build_rpm/build_rpms.sh b/ci/build_rpm/build_rpms.sh
new file mode 100644
index 00000000..cb31d001
--- /dev/null
+++ b/ci/build_rpm/build_rpms.sh
@@ -0,0 +1,19 @@
+#!/bin/bash
+##############################################################################
+# Copyright (c) 2016 ZTE Coreporation and others.
+# hu.zhijiang@zte.com.cn
+# sun.jing22@zte.com.cn
+# All rights reserved. This program and the accompanying materials
+# are made available under the terms of the Apache License, Version 2.0
+# which accompanies this distribution, and is available at
+# http://www.apache.org/licenses/LICENSE-2.0
+##############################################################################
+set -eux
+DAISYDIR = $1
+function build_rpm_pkg {
+ sudo docker build -t daisy4nfv_rpm .
+ sudo docker run -v DAISYDIR:/opt/daisy4nfv -t daisy4nfv_rpm \
+ /opt/daisy4nfv/ci/build_rpm/build_rpms_docker.sh
+}
+
+build_rpm_pkg